Bug 127348 - printconf fails to configure SMB printers via IP address.
Summary: printconf fails to configure SMB printers via IP address.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-config-printer   
(Show other bugs)
Version: 1
Hardware: ia32e Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-06 21:40 UTC by Ted
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 11:53:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ted 2004-07-06 21:40:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When configuring a printer that is shared via SMB, the IP address
definition field does not work.

Version-Release number of selected component (if applicable):
redhat-config-printer-0.6.79.5-1

How reproducible:
Always

Steps to Reproduce:
1.Set up a printer share on a windows workstation.
2.Put the workstation behind a firewall or on a different network
segment where the linux box cannot find it by SMB broadcasts.
3.Define the printers IP address in the printconf
(redhat-config-printer) tool.
4.Attempt to print a test page.


Actual Results:  The page will fail to print with a
NT_STATUS_UNSUCCESSFUL message.
Editing the printers.conf file by hand will produce the expected results.

Additional info:

Comment 1 Tim Waugh 2004-07-14 14:39:39 UTC
What does the printers.conf file have before editing, and after editing?

Comment 2 Ted 2004-07-14 15:15:54 UTC
I think I just figured out what was wrong.  Under the share section I
was typing out the entire share instead of just the printer name.

Something like this:
Share:
//mis_print/pq_3_mis_2
Instead of just:
pq_3_mis2

Then under the hostname/ip section I was then typing the servers IP
address.  The configuration tool then uses the hostname from the share
section instead of from the hostname/ip section.  Maybe moving the
hostname/ip section above the share section will make things less
confusing.

Comment 3 Tim Waugh 2004-09-28 12:29:29 UTC
Fixed in CVS.


Note You need to log in before you can comment on or make changes to this bug.